Subject: Re: bug#19831: 25.0.50; Can't build emacs 25.0.5 with libpng16 support (only libpng15)

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 26 Dec 2015 19:10:11 +0100

Ivan Shmakov <[email-masked]> writes:

>>>>>> Tory S Anderson <[email-masked]> writes:
>
> […]
>
>  > And yet, to my frustration, afterwards I STILL received:
>
>  > $ libpng-config --cflags -I/home/torys/anaconda/include/libpng15
>
>  > I can't seem to get around this.  Any suggestions would be
>  > appreciated.
>
> 	My guess is that the ‘libpng-config’ executable coming first in
> 	your $PATH is still the one belonging to libpng15, not libpng16.
>
> 	What’s the output of $ type libpng-config?  Do that file’s mtime
> 	and ctime (try $ stat on the file) reflect the date and time the
> 	new version was installed?
>
> 	If it’s indeed the “wrong” libpng-config which gets used, –
> 	check the value of the $PATH environment variable itself and
> 	either adjust as needed for the directory with the “right”
> 	libpng-config to come first there, /or/ somehow prevent the
> 	“wrong” file from being found (either $ chmod a-x it, or perhaps
> 	rename it.)

More information was requested, but no response was given within a few
months, so I'm closing this bug report.  If the problem still exists,
please reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no